<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="com.ustadmobile.sharedse.impl.http.IHTTPSessionExtTest" tests="3" skipped="0" failures="0" errors="0" timestamp="2024-11-01T16:38:29" hostname="devserver3" time="0.85">
  <properties/>
  <testcase name="givenPutRequestWithBody_whenParseRequestBodyCalled_thenShouldReturnContent[jvm]" classname="com.ustadmobile.sharedse.impl.http.IHTTPSessionExtTest" time="0.77"/>
  <testcase name="givenLargerPostRequestWithBody_whenParseRequestCalled_thenShouldReturnContent[jvm]" classname="com.ustadmobile.sharedse.impl.http.IHTTPSessionExtTest" time="0.049"/>
  <testcase name="givenSmallPostRequestWithBody_whenParseRequestCalled_thenShouldReturnContent[jvm]" classname="com.ustadmobile.sharedse.impl.http.IHTTPSessionExtTest" time="0.03"/>
  <system-out><![CDATA[17:38:29,285 |-INFO in ch.qos.logback.classic.LoggerContext[default] - This is logback-classic version 1.4.13
17:38:29,287 |-INFO in ch.qos.logback.classic.util.ContextInitializer@4bd1f8dd - No custom configurators were discovered as a service.
17:38:29,287 |-INFO in ch.qos.logback.classic.util.ContextInitializer@4bd1f8dd - Trying to configure with ch.qos.logback.classic.joran.SerializedModelConfigurator
17:38:29,288 |-INFO in ch.qos.logback.classic.util.ContextInitializer@4bd1f8dd - Constructed configurator of type class ch.qos.logback.classic.joran.SerializedModelConfigurator
17:38:29,293 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.scmo]
17:38:29,294 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback.scmo]
17:38:29,300 |-INFO in ch.qos.logback.classic.util.ContextInitializer@4bd1f8dd - ch.qos.logback.classic.joran.SerializedModelConfigurator.configure() call lasted 6 milliseconds. ExecutionStatus=INVOKE_NEXT_IF_ANY
17:38:29,300 |-INFO in ch.qos.logback.classic.util.ContextInitializer@4bd1f8dd - Trying to configure with ch.qos.logback.classic.util.DefaultJoranConfigurator
17:38:29,301 |-INFO in ch.qos.logback.classic.util.ContextInitializer@4bd1f8dd - Constructed configurator of type class ch.qos.logback.classic.util.DefaultJoranConfigurator
17:38:29,302 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.xml]
17:38:29,305 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Found resource [logback.xml] at [jar:file:/home/jenkins/.jenkins/workspace/Release-Edubridge-Afghanistan/app-ktor-server/build/libs/app-ktor-server.jar!/logback.xml]
17:38:29,313 |-INFO in ch.qos.logback.core.joran.spi.ConfigurationWatchList@7096b474 - URL [jar:file:/home/jenkins/.jenkins/workspace/Release-Edubridge-Afghanistan/app-ktor-server/build/libs/app-ktor-server.jar!/logback.xml] is not of type file
17:38:29,407 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - Processing appender named [FILE]
17:38:29,408 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - About to instantiate appender of type [ch.qos.logback.core.rolling.RollingFileAppender]
17:38:29,432 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@1041547629 - No compression will be used
17:38:29,433 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@1041547629 - Will use the pattern ./log//ustad-server.%d{yyyy-MM-dd}.%i.log for the active file
17:38:29,436 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@3c989952 - The date pattern is 'yyyy-MM-dd' from file name pattern './log//ustad-server.%d{yyyy-MM-dd}.%i.log'.
17:38:29,436 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@3c989952 - Roll-over at midnight.
17:38:29,437 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@3c989952 - Setting initial period to 2024-11-01T16:38:29.436Z
17:38:29,437 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@3c989952 - SizeAndTimeBasedFNATP is deprecated. Use SizeAndTimeBasedRollingPolicy instead
17:38:29,437 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@3c989952 - For more information see http://logback.qos.ch/manual/appenders.html#SizeAndTimeBasedRollingPolicy
17:38:29,439 |-INFO in ch.qos.logback.core.model.processor.ImplicitModelHandler - Assuming default type [ch.qos.logback.classic.encoder.PatternLayoutEncoder] for [encoder] property
17:38:29,456 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Active log file name: ./log//ustad-server.log
17:38:29,456 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - File property is set to [./log//ustad-server.log]
17:38:29,457 |-INFO in ch.qos.logback.classic.model.processor.RootLoggerModelHandler - Setting level of ROOT logger to TRACE
17:38:29,457 |-INFO in ch.qos.logback.core.model.processor.AppenderRefModelHandler - Attaching appender named [FILE] to Logger[ROOT]
17:38:29,458 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [org.eclipse.jetty] to INFO
17:38:29,458 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [io.netty] to INFO
17:38:29,458 |-INFO in ch.qos.logback.core.model.processor.DefaultProcessor@784b990c - End of configuration.
17:38:29,459 |-INFO in ch.qos.logback.classic.joran.JoranConfigurator@3d3ba765 - Registering current configuration as safe fallback point
17:38:29,459 |-INFO in ch.qos.logback.classic.util.ContextInitializer@4bd1f8dd - ch.qos.logback.classic.util.DefaultJoranConfigurator.configure() call lasted 158 milliseconds. ExecutionStatus=DO_NOT_INVOKE_NEXT_IF_ANY

]]></system-out>
  <system-err><![CDATA[]]></system-err>
</testsuite>
